怎么安装eclipse阿??

C、C++和Java语言
回复
chllcy
帖子: 34
注册时间: 2007-05-12 23:38
送出感谢: 0
接收感谢: 0

怎么安装eclipse阿??

#1

帖子 chllcy » 2007-05-16 11:31

我下了eclipse 可是解压经常说错误。。。

gzip: stdin: invalid compressed data--format violated
tar: 归档文件中异常的 EOF
tar: 错误不可恢复:现在退出

真郁闷阿 换了2个版本了 还是不行。。。。。
目前我是eclipse-SDK-3.2.1-linux-gtk.tar.gz
请指点 该怎么办????
头像
anticlockwise
帖子: 2393
注册时间: 2007-03-01 20:46
来自: 湖南长沙
送出感谢: 0
接收感谢: 0
联系:

Re: 怎么安装eclipse阿??

#2

帖子 anticlockwise » 2007-05-16 17:45

chllcy 写了:我下了eclipse 可是解压经常说错误。。。

gzip: stdin: invalid compressed data--format violated
tar: 归档文件中异常的 EOF
tar: 错误不可恢复:现在退出

真郁闷阿 换了2个版本了 还是不行。。。。。
目前我是eclipse-SDK-3.2.1-linux-gtk.tar.gz
请指点 该怎么办????
下的eclipse包可能损坏了,去这里吧:www.easyeclipse.org,下的是EasyEclipse发行版,已经装有一些插件,开发起来很方便~~
七粒尘
帖子: 53
注册时间: 2007-04-17 17:34
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 七粒尘 » 2007-05-16 18:26

下什么下呀

新力得里面搜,自动安装!!!
头像
forrid
帖子: 659
注册时间: 2007-04-23 17:40
送出感谢: 0
接收感谢: 0

#4

帖子 forrid » 2007-05-16 20:24

靠,心里的?无法访问网络嘛~~~~~~~~~~~
jdwgb
帖子: 218
注册时间: 2007-10-16 9:36
送出感谢: 0
接收感谢: 0

#5

帖子 jdwgb » 2007-11-08 16:51

apt-get install eclipse
apt-get install j2sdk1.4
都安装成功了

运行时候却弹出如下错误信息

JVM terminated. Exit code=1
/usr/lib/j2se/1.4/bin/java
-Djava.library.path=/usr/lib/jni
-Dgnu.gcj.precompiled.db.path=/var/lib/gcj-4.2/classmap.db
-Dgnu.gcj.runtime.VMClassLoader.library_control=never
-Dosgi.locking=none
-jar /usr/lib/eclipse/startup.jar
-os linux
-ws gtk
-arch x86
-launcher /usr/lib/eclipse/eclipse
-name Eclipse
-showsplash 600
-exitdata ee8040
-install /usr/lib/eclipse
-vm /usr/lib/j2se/1.4/bin/java
-vmargs
-Djava.library.path=/usr/lib/jni
-Dgnu.gcj.precompiled.db.path=/var/lib/gcj-4.2/classmap.db
-Dgnu.gcj.runtime.VMClassLoader.library_control=never
-Dosgi.locking=none
-jar /usr/lib/eclipse/startup.jar

大侠帮忙,不胜感激
jdwgb
帖子: 218
注册时间: 2007-10-16 9:36
送出感谢: 0
接收感谢: 0

#6

帖子 jdwgb » 2007-11-08 17:25

搞定了

原来还要

apt-get install sun-java6-jre

虽然成功安装了,但是搞不懂为什么
头像
Azone
帖子: 98
注册时间: 2007-08-02 16:01
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 Azone » 2007-11-08 17:54

直接从官方网站上面下载一个包解压缩不久成了嘛~
头像
goodcjw2
帖子: 18
注册时间: 2007-10-14 11:16
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 goodcjw2 » 2007-11-11 1:02

apt-get install sun-java6-jre
这个是java环境安装啊,没有这么当然不能用eclipse开发java啦
好比你要编C,那总得有gcc吧
头像
hubert_star
论坛版主
帖子: 5372
注册时间: 2007-10-29 22:12
系统: OSX 10.9 + Ub 1304
来自: 江苏南京
送出感谢: 0
接收感谢: 5 次

#9

帖子 hubert_star » 2007-11-11 1:19

jdwgb 写了:搞定了

原来还要

apt-get install sun-java6-jre

虽然成功安装了,但是搞不懂为什么
你之前的java环境混淆了,建议安装eclipse还是直接下载原始的zip安装
头像
qzjackie
帖子: 169
注册时间: 2007-02-08 13:32
来自: 福建,泉州
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 qzjackie » 2007-11-14 10:15

我也出现,了这样的问题。郁闷的很久啊。
kevinlynx
帖子: 12
注册时间: 2008-01-11 19:28
送出感谢: 0
接收感谢: 0

#11

帖子 kevinlynx » 2008-01-13 14:45

goodcjw2 写了:apt-get install sun-java6-jre
这个是java环境安装啊,没有这么当然不能用eclipse开发java啦
好比你要编C,那总得有gcc吧
我觉得不是这个关系:
j2sdk是用来开发的库,相当于c开发库
jre是运行时库,java run enviroment, 相当于C运行时库
头像
echo
帖子: 88
注册时间: 2005-08-25 14:17
送出感谢: 0
接收感谢: 0

#12

帖子 echo » 2008-01-13 15:31

eclipse 3.2要用1.5以上的jdk
头像
xujingbao
帖子: 3
注册时间: 2008-05-24 23:39
送出感谢: 0
接收感谢: 0

安装eclipse嘛

#13

帖子 xujingbao » 2008-05-25 4:50

1、安装jdk1.5 java开源,对于桌面程序的性能提高的很显著。

(1)从sun下载jdk-1_5_0_10-linux-i586.bin


(2)默认的安装目录是/opt/jdk1.6.0

mv ./jdk-1_5_0_10-linux-i586.bin /opt/


(2)

chmod u+x jdk-1_5_0_10-linux-i586.bin


sudo ./jdk-1_5_0_10-linux-i586.bin



或者直接执行:


sh ./jdk-1_5_0_10-linux-i586.bin


选择yes安装


(4)配置classpath,修改所有用户的环境变量



sudo gedit /etc/profile


在文件最后添加

#set java environment

JAVA_HOME=/opt/jdk1.5.0_10

export JRE_HOME=/opt/jdk1.5.0_10/jre

export CLASSPATH=.:$JAVA_HOME/lib:$JRE_HOME/lib:$CLASSPATH

export PATH=$JAVA_HOME/bin:$JRE_HOME/bin:$PATH


(5)重新启动,用命令测试jdk的版本

java -version


如果出现

Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_10-b03)

Java HotSpot(TM) Client VM (build 1.5.0_10-b03, mixed mode, sharing)

则表示安装成功

然后 apt-get install eclipse
...
回复

回到 “C/C++/Java”